The questions of a posting (its form template's, then its own)
GET /api/hr/v1/recruiting/postings/{id}/form
Module: HR · operationId: getJobPostingForm · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 Questions (
application/json) - 404 Error (
application/json)
Fields of the 200 answer:
fields(array of ApplicationFormField): Questions of the posting: its form template's, then its ownkey(string, required): Lower-case letters, digits, - or _; not a core field (first_name, last_name, email, phone, cover_letter, cv, attachments)kind(string, required): Kind of answer (one oftext,longtext,number,date,bool,select,multiselect,url,file)label(string, required): Question text (max length 300)help(string): Help text shown with the question (max length 1000)options(array of object): Choices of select and multiselect questionslabel(string): Display text of the choicevalue(string): Stored value of the choice
required(boolean): An answer is required
Example 200 answer:
{
"fields": [
{
"key": "fruehester_start",
"kind": "date",
"label": "Ab wann können Sie bei uns starten?",
"required": true
},
{
"key": "gehaltsvorstellung",
"kind": "number",
"label": "Ihre Gehaltsvorstellung (brutto pro Jahr)",
"required": false
},
{
"key": "powershell",
"kind": "select",
"label": "Wie schätzen Sie Ihre PowerShell-Kenntnisse ein?",
"options": [
{
"label": "Grundlagen",
"value": "grundlagen"
},
{
"label": "Fortgeschritten",
"value": "fortgeschritten"
},
{
"label": "Experte",
"value": "experte"
}
],
"required": false
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/recruiting/postings/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/form' \
-H "Authorization: Bearer $ACCESS_TOKEN"